require 'rubygems'
require 'active_model'
require 'require_all'

require 'rd3/model'
require 'rd3/repository'
require 'rd3/configuration'
require_rel '../lib/rd3/data_providers'
require 'rd3/railtie' if defined?(Rails)
#require 'active_support'
#require 'active_model'

#require 'rd3/railtie' if defined?(Rails)
#require_rel '../lib' #.reject {|f| railtie.rb}

module RD3
  class << self
    attr_reader :config
  end

  def self.configure(args)
    configuration = nil
    unless args.nil? || args.empty?
      configuration = RD3::Configuration.new
      configuration.environment = args[:environment]
      configuration.config_file_directory = args[:config_file_directory]
      configuration.enable_logical_deletes = args[:enable_logical_deletes]
    end
    @config = configuration
    #@config ||= configuration
  end
end # module RD3
